Packages - Freedom Issue #1648

[awesome-terminal-fonts] has logos for non-free software.
2018-02-25 03:29 PM - EeeParabola

Status: fixed % Done: 100%
Priority: freedom issue

Assignee: freemor

Category:

Description

The package awesome-terminal-fonts is indeed distributed under the MIT license, however, it contains logos for non-free software
like Chrome and Firefox. Is this something that should be fixed?

You can check all logos this package has here: https://fontawesome.com/cheatsheet

Related issues:
Related to Packages - Freedom Issue #2331: [awesome-terminal-fonts] Contains ... fixed

History

#1 - 2018-02-25 03:49 PM - bill-auger

- Subject changed from awesome-terminal-fonts has logos for non-free software. to [awesome-terminal-fonts] has logos for non-free software.

confirmed
steps to reproduce:

® pacman -S awesome-terminal-fonts

® open a unicode-aware terminal such as Ixterminal

e type CTRL+SHIFT+uf2d7 # firefox logo

e type CTRL+SHIFT+uf0d5 # google plus logo

¢ type CTRL+SHIFT+uf17a # microsoft windows logo

e type CTRL+SHIFT+uf09a # facebook logo

e type CTRL+SHIFT+uf268 # chrome logo

¢ type CTRL+SHIFT+uf09b # github logo

e type CTRL+SHIFT+uf179 # apple with a bite missing logo

#2 - 2019-02-27 09:59 PM - bill-auger

- Status changed from open to confirmed

#3 - 2019-06-09 08:37 PM - bill-auger

- Related to Freedom Issue #2331: [awesome-terminal-fonts] Contains at least one nonfree logo added

#4 - 2019-06-10 01:50 AM - freemor

Took a quick look at this today.

the PKGBUILD just downloads a .tar.gz and then stuffs the file into the right directories.

this font pack is a combination of several font sets.

Removing the offending fontstes from this leaves basicalln nothing left

The entire purpose of this package is Logo and very logo like glyphs. So completely trivial eye candy.

| think the best action is to blacklist this package. However this is another one of those, libre software vs libre culture as | suspect TTF fonts are
considered non-functional data, and thus fall into the art and other things category.

I'll wait for other to chime in but if there is no input over the next little while I'll just go ahead and blacklist this and close this BR and it's duplicate.

#5 - 2019-06-12 04:18 PM - freemor
- % Done changed from 0 to 100

- Assignee set to freemor

Blacklisted both awesome-terminal-fonts and Isd (which depends on it)
see #2331 for more details.
Closing
https://fontawesome.com/cheatsheet
https://labs.parabola.nu/issues/2331

#6 - 2019-06-12 04:19 PM - freemor

- Status changed from confirmed to fixed
